"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _plugin = require("./plugin");

Object.keys(_plugin).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function get() {
      return _plugin[key];
    }
  });
});

var _events = require("events");

var _yargsParser = require("yargs-parser");

var _yargsParser2 = _interopRequireDefault(_yargsParser);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var isArray = Array.isArray;
var entries = Object.entries;


var commandRegex = /\.*[\][<>]/g;
var useInit = {
  CLI: {
    options: {
      v: {
        alias: "version",
        desc: "version"
      },
      h: {
        alias: "help",
        decs: "help"
      }
    },
    commands: {
      "*": function _(_ref) {
        var v = _ref.v,
            version = _ref.CLI.config.version;

        v && console.log(version);
      }
    }
  }
};

exports.default = {
  name: "CLI",
  Event: new _events.EventEmitter(),
  options: {},
  args: {},
  commands: {},
  config: {},
  _hooks: {
    CLI: {
      prompts: _plugin._prompts,
      options: _plugin.options,
      commands: _plugin.commands,
      config: _plugin.config
    }
  }
};