"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.init = undefined;

var _fsExtra = require("fs-extra");

var _fsExtra2 = _interopRequireDefault(_fsExtra);

var _chalk = require("chalk");

var _chalk2 = _interopRequireDefault(_chalk);

var _path = require("path");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var init = exports.init = function init(_ref) {
  var _ = _ref._,
      _ref$projectName = _ref.projectName,
      projectName = _ref$projectName === undefined ? "my-project" : _ref$projectName,
      templatePath = _ref.CLI.config.templatePath;

  var realTemplatePath = templatePath;
  var templates = _fsExtra2.default.readdirSync(realTemplatePath);
  var TemplateChoices = templates.map(function (template) {
    return { title: template, value: template };
  });

  _.$use({
    CLI: {
      prompts: {
        input: {
          type: "select",
          name: "template",
          message: "select a template",
          choices: TemplateChoices
        },
        then: function then(_ref2) {
          var template = _ref2.res.template;

          var finalTemplatePath = (0, _path.join)(realTemplatePath, template);
          var finalProjectPath = (0, _path.join)(process.cwd(), projectName);
          _fsExtra2.default.copySync(finalTemplatePath, finalProjectPath);
          console.log(_chalk2.default.green("\nSuccess! Created <" + projectName + "> with template <" + template + ">\n\nWe suggest that you begin by typing:\n  $ cd " + projectName + "\n  $ yarn install\n  \nHappy hacking!\n"));
        }
      }
    }
  });
};